Release Action Version
Mark an action version as released
Marks an exisiting version of an action as released
Request
URI
PUT
https://vcfa-10-162-161-9.vcfd.broadcom.net/abx/api/resources/actions/{id}/release
COPY
Path Parameters
string
id
Required
ID of the action
Query Parameters
string
projectId
Required
Project ID of action (required for non-system actions)
Request Body
ActionVersionReleaseRequest
of type(s)
application/json
Required
{
"version": "string"
}
string
version
Required
version
Responses
200
Action version released
Returns
ActionVersion
of type(s)
*/*
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"description": "string",
"actionId": "string",
"projectId": "string",
"createdBy": "string",
"released": false,
"action": {
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
},
"contentId": "string",
"gitCommitId": "string"
}
404
Action version not found
Returns
ActionVersion
of type(s)
*/*
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"description": "string",
"actionId": "string",
"projectId": "string",
"createdBy": "string",
"released": false,
"action": {
"name": "string",
"metadata": {},
"runtime": "string",
"source": "string",
"entrypoint": "string",
"description": "string",
"inputs": {},
"memoryInMB": 0,
"prePolyglotMemoryLimitInMB": 0,
"showMemoryAlert": false,
"timeoutSeconds": 0,
"dependencies": "string",
"compressedContent": "string",
"actionType": "string",
"provider": "string",
"contentId": "string",
"configuration": {},
"system": false,
"shared": false,
"scalable": false,
"asyncDeployed": false,
"runtimeVersion": "string",
"id": "string",
"projectId": "string",
"orgId": "string",
"selfLink": "string"
},
"contentId": "string",
"gitCommitId": "string"
}
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"version":"string"}' https://{api_host}/abx/api/resources/actions/{id}/release
On This Page
Action Versions Operations
PUT
Restore Action Version
PUT
Release Action Version
DELETE
Unrelease Action Version
GET
Get All Versions
POST
Create Action Version
DELETE
Delete Action Version